package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.PaymentMethod;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(music_group_payment_entities):
 */
public class MusicGroupPaymentEntities {

	/**  */
	private Integer id;
	
	/** 乐团编号 */
	@ApiModelProperty(value = "乐团编号",required = false)
	private String musicGroupId;
	
	/** 主体名称 */
	@ApiModelProperty(value = "主体名称",required = false)
	private String name;
	
	/** 付费方式(一次性、按月、按学期、按学年) */
	@ApiModelProperty(value = "付费方式(一次性、按月、按学期、按学年)",required = false)
	private PaymentMethod paymentMethod;
	
	/** 金额 */
	@ApiModelProperty(value = "金额",required = false)
	private BigDecimal amount;
	
	/** 备注 */
	@ApiModelProperty(value = "备注",required = false)
	private String memo;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setMusicGroupId(String musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public String getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setPaymentMethod(PaymentMethod paymentMethod){
		this.paymentMethod = paymentMethod;
	}
	
	public PaymentMethod getPaymentMethod(){
		return this.paymentMethod;
	}

	public BigDecimal getAmount() {
		return amount;
	}

	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}

	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
